summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2022-04-01 19:49:34 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:21 +0700
commit1d543bd49876966a5b745d6e05508b410ba21bc1 (patch)
treece11202549a689dfa047680a55f1824e1c704e65 /desktop
parentd62c8a7e901b73dcaf6aee0657bc0d4a44878a63 (diff)
downloadslackbuilds-1d543bd49876966a5b745d6e05508b410ba21bc1.tar.gz
slackbuilds-1d543bd49876966a5b745d6e05508b410ba21bc1.tar.xz
desktop/mint-themes: Added (Linux Mint theme)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/mint-themes/README3
-rw-r--r--desktop/mint-themes/doinst.sh13
-rw-r--r--desktop/mint-themes/mint-themes.SlackBuild79
-rw-r--r--desktop/mint-themes/mint-themes.info10
-rw-r--r--desktop/mint-themes/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/desktop/mint-themes/README b/desktop/mint-themes/README
new file mode 100644
index 0000000000..9a4305fe95
--- /dev/null
+++ b/desktop/mint-themes/README
@@ -0,0 +1,3 @@
+Linux Mint themes that come with the Linux Mint Distribution. These
+themes includes GTK2, GTK3, Metacity and Xfce components.
+
diff --git a/desktop/mint-themes/doinst.sh b/desktop/mint-themes/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/desktop/mint-themes/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/mint-themes/mint-themes.SlackBuild b/desktop/mint-themes/mint-themes.SlackBuild
new file mode 100644
index 0000000000..e015723710
--- /dev/null
+++ b/desktop/mint-themes/mint-themes.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+# Slackware build script for mint-themes
+
+# Copyright 2017 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM="mint-themes"
+VERSION=1.9.8
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM"_"$VERSION.tar.xz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/share/themes
+cp -a usr $PKG
+
+#delete unneeded .gitkeep files
+#find $PKG -name .gitkeep -type f -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a debian/{changelog,copyright} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/mint-themes/mint-themes.info b/desktop/mint-themes/mint-themes.info
new file mode 100644
index 0000000000..52663ba41d
--- /dev/null
+++ b/desktop/mint-themes/mint-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="mint-themes"
+VERSION="1.9.8"
+HOMEPAGE="https://github.com/linuxmint/mint-themes"
+DOWNLOAD="http://packages.linuxmint.com/pool/main/m/mint-themes/mint-themes_1.9.8.tar.xz"
+MD5SUM="e3577e7cdfa3a6c6a0f9af936901dadb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
diff --git a/desktop/mint-themes/slack-desc b/desktop/mint-themes/slack-desc
new file mode 100644
index 0000000000..bf189c06fd
--- /dev/null
+++ b/desktop/mint-themes/slack-desc
@@ -0,0 +1,19 @@
+
+
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mint-themes: mint-themes (Linux Mint theme)
+mint-themes:
+mint-themes: Linux Mint themes that come with the Linux Mint Distribution. These
+mint-themes: themes includes GTK2, GTK3, Metacity and Xfce components.
+mint-themes:
+mint-themes:
+mint-themes:
+mint-themes:
+mint-themes: